﻿using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.IO;
using System.Windows;
using System.Windows.Markup;
using ZionRobot.Models.Process;
using ZionRobot.Models.Workflow;
using ZionRobot.Persistence;
using ZionRobot.Tasks;

namespace ZionRobot
{
	// Token: 0x0200000B RID: 11
	public partial class MainWindow : Window
	{
		// Token: 0x0600003B RID: 59 RVA: 0x00002C34 File Offset: 0x00000E34
		public MainWindow()
		{
			this.InitializeComponent();
			this.createBasicDirectories();
			JobManager jobManager = new JobManager(new Workflow(new RoadMap(Path.Combine(Basic.ApplicationFolder, Basic.ApplicationName + ".wflow"))), true);
			base.Visibility = Visibility.Hidden;
			base.ShowInTaskbar = false;
		}

		// Token: 0x0600003C RID: 60 RVA: 0x00002C94 File Offset: 0x00000E94
		private void createBasicDirectories()
		{
			Directory.CreateDirectory(Basic.ApplicationFolder);
			Directory.CreateDirectory(Basic.BlueprintsFolder);
			Directory.CreateDirectory(Basic.ConfigurationFolder);
			Directory.CreateDirectory(Basic.PublicFolder);
			Directory.CreateDirectory(Basic.DoneFolder);
			Directory.CreateDirectory(Basic.SearchResultFolder);
			Directory.CreateDirectory(Basic.LogsFolder);
		}
	}
}
