﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Xml;
using ZionRobot.Helpers;

namespace ZionRobot.Models.Source
{
	// Token: 0x02000021 RID: 33
	public class Action
	{
		// Token: 0x17000043 RID: 67
		// (get) Token: 0x060000C0 RID: 192 RVA: 0x00005EEE File Offset: 0x000040EE
		// (set) Token: 0x060000C1 RID: 193 RVA: 0x00005EF6 File Offset: 0x000040F6
		public string Name { get; set; }

		// Token: 0x17000044 RID: 68
		// (get) Token: 0x060000C2 RID: 194 RVA: 0x00005EFF File Offset: 0x000040FF
		// (set) Token: 0x060000C3 RID: 195 RVA: 0x00005F07 File Offset: 0x00004107
		public string Type { get; set; }

		// Token: 0x17000045 RID: 69
		// (get) Token: 0x060000C4 RID: 196 RVA: 0x00005F10 File Offset: 0x00004110
		// (set) Token: 0x060000C5 RID: 197 RVA: 0x00005F18 File Offset: 0x00004118
		public string Check { get; set; }

		// Token: 0x17000046 RID: 70
		// (get) Token: 0x060000C6 RID: 198 RVA: 0x00005F21 File Offset: 0x00004121
		// (set) Token: 0x060000C7 RID: 199 RVA: 0x00005F29 File Offset: 0x00004129
		public string Regex { get; set; }

		// Token: 0x17000047 RID: 71
		// (get) Token: 0x060000C8 RID: 200 RVA: 0x00005F32 File Offset: 0x00004132
		// (set) Token: 0x060000C9 RID: 201 RVA: 0x00005F3A File Offset: 0x0000413A
		public string Replace { get; set; }

		// Token: 0x17000048 RID: 72
		// (get) Token: 0x060000CA RID: 202 RVA: 0x00005F43 File Offset: 0x00004143
		// (set) Token: 0x060000CB RID: 203 RVA: 0x00005F4B File Offset: 0x0000414B
		public string Attribute { get; set; }

		// Token: 0x17000049 RID: 73
		// (get) Token: 0x060000CC RID: 204 RVA: 0x00005F54 File Offset: 0x00004154
		// (set) Token: 0x060000CD RID: 205 RVA: 0x00005F5C File Offset: 0x0000415C
		public int MaxLength { get; set; }

		// Token: 0x1700004A RID: 74
		// (get) Token: 0x060000CE RID: 206 RVA: 0x00005F65 File Offset: 0x00004165
		// (set) Token: 0x060000CF RID: 207 RVA: 0x00005F6D File Offset: 0x0000416D
		public int Index { get; set; }

		// Token: 0x1700004B RID: 75
		// (get) Token: 0x060000D0 RID: 208 RVA: 0x00005F76 File Offset: 0x00004176
		// (set) Token: 0x060000D1 RID: 209 RVA: 0x00005F7E File Offset: 0x0000417E
		public bool Initialize { get; set; }

		// Token: 0x1700004C RID: 76
		// (get) Token: 0x060000D2 RID: 210 RVA: 0x00005F87 File Offset: 0x00004187
		// (set) Token: 0x060000D3 RID: 211 RVA: 0x00005F8F File Offset: 0x0000418F
		public List<Action> InnerActions { get; set; }

		// Token: 0x1700004D RID: 77
		// (get) Token: 0x060000D4 RID: 212 RVA: 0x00005F98 File Offset: 0x00004198
		// (set) Token: 0x060000D5 RID: 213 RVA: 0x00005FA0 File Offset: 0x000041A0
		public List<Action> ResultTrue { get; set; }

		// Token: 0x1700004E RID: 78
		// (get) Token: 0x060000D6 RID: 214 RVA: 0x00005FA9 File Offset: 0x000041A9
		// (set) Token: 0x060000D7 RID: 215 RVA: 0x00005FB1 File Offset: 0x000041B1
		public List<Action> ResultFalse { get; set; }

		// Token: 0x1700004F RID: 79
		// (get) Token: 0x060000D8 RID: 216 RVA: 0x00005FBA File Offset: 0x000041BA
		// (set) Token: 0x060000D9 RID: 217 RVA: 0x00005FC2 File Offset: 0x000041C2
		public string Where
		{
			get
			{
				return this.where;
			}
			set
			{
				this.where = value;
			}
		}

		// Token: 0x17000050 RID: 80
		// (get) Token: 0x060000DA RID: 218 RVA: 0x00005FCB File Offset: 0x000041CB
		// (set) Token: 0x060000DB RID: 219 RVA: 0x00005FD3 File Offset: 0x000041D3
		public string Value
		{
			get
			{
				return this.value;
			}
			set
			{
				this.value = value;
			}
		}

		// Token: 0x060000DC RID: 220 RVA: 0x00005FDC File Offset: 0x000041DC
		public Action()
		{
			this.Initialize = true;
		}

		// Token: 0x060000DD RID: 221 RVA: 0x00005FF0 File Offset: 0x000041F0
		public Action(XmlNode node)
		{
			try
			{
				XmlAttribute xmlAttribute = node.Attributes["Name"];
				this.Name = (((xmlAttribute != null) ? xmlAttribute.Value : null) ?? null);
				XmlAttribute xmlAttribute2 = node.Attributes["Type"];
				this.Type = (((xmlAttribute2 != null) ? xmlAttribute2.Value : null) ?? null);
				XmlAttribute xmlAttribute3 = node.Attributes["Where"];
				this.Where = (((xmlAttribute3 != null) ? xmlAttribute3.Value : null) ?? null);
				XmlAttribute xmlAttribute4 = node.Attributes["Check"];
				this.Check = (((xmlAttribute4 != null) ? xmlAttribute4.Value : null) ?? null);
				XmlAttribute xmlAttribute5 = node.Attributes["Regex"];
				this.Regex = (((xmlAttribute5 != null) ? xmlAttribute5.Value : null) ?? null);
				XmlAttribute xmlAttribute6 = node.Attributes["Replace"];
				this.Replace = (((xmlAttribute6 != null) ? xmlAttribute6.Value : null) ?? null);
				XmlAttribute xmlAttribute7 = node.Attributes["Attribute"];
				this.Attribute = (((xmlAttribute7 != null) ? xmlAttribute7.Value : null) ?? null);
				int maxLength;
				if (node.Attributes["MaxLength"] == null)
				{
					maxLength = 0;
				}
				else
				{
					XmlAttribute xmlAttribute8 = node.Attributes["MaxLength"];
					maxLength = int.Parse((xmlAttribute8 != null) ? xmlAttribute8.Value : null);
				}
				this.MaxLength = maxLength;
				XmlAttribute xmlAttribute9 = node.Attributes["Value"];
				this.Value = (((xmlAttribute9 != null) ? xmlAttribute9.Value.Replace("&amp;", "&") : null) ?? null);
				this.Index = ((node.Attributes["Index"] != null) ? int.Parse(node.Attributes["Index"].Value) : -1);
				this.InnerActions = new List<Action>();
				foreach (object obj in node.SelectNodes("Action"))
				{
					XmlNode i = (XmlNode)obj;
					this.InnerActions.Add(new Action(i));
				}
				this.ResultTrue = new List<Action>();
				foreach (object obj2 in node.SelectNodes("ResultTrue/Action"))
				{
					XmlNode action = (XmlNode)obj2;
					this.ResultTrue.Add(new Action(action));
				}
				this.ResultFalse = new List<Action>();
				foreach (object obj3 in node.SelectNodes("ResultFalse/Action"))
				{
					XmlNode action2 = (XmlNode)obj3;
					this.ResultFalse.Add(new Action(action2));
				}
			}
			catch (Exception ex)
			{
				throw new Exception(ex.Message);
			}
		}

		// Token: 0x060000DE RID: 222 RVA: 0x0000635C File Offset: 0x0000455C
		public XmlElement AppendTo(XmlDocument doc)
		{
			XmlElement root = doc.CreateElement("Action");
			bool flag = this.Name != null;
			if (flag)
			{
				root.SetAttribute("Name", this.Name);
			}
			bool flag2 = this.Type != null;
			if (flag2)
			{
				root.SetAttribute("Type", this.Type);
			}
			bool flag3 = this.Where != null;
			if (flag3)
			{
				root.SetAttribute("Where", this.Where);
			}
			bool flag4 = this.Check != null;
			if (flag4)
			{
				root.SetAttribute("Check", this.Check);
			}
			bool flag5 = this.Regex != null;
			if (flag5)
			{
				root.SetAttribute("Regex", this.Regex);
			}
			bool flag6 = this.Replace != null;
			if (flag6)
			{
				root.SetAttribute("Replace", this.Replace);
			}
			bool flag7 = this.Attribute != null;
			if (flag7)
			{
				root.SetAttribute("Attribute", this.Attribute);
			}
			bool flag8 = this.Value != null;
			if (flag8)
			{
				root.SetAttribute("Value", this.Value);
			}
			bool flag9 = this.MaxLength > 0;
			if (flag9)
			{
				root.SetAttribute("MaxLength", this.MaxLength.ToString());
			}
			bool flag10 = this.Index >= 0;
			if (flag10)
			{
				root.SetAttribute("Index", this.Index.ToString());
			}
			bool flag11 = this.InnerActions.Count > 0;
			if (flag11)
			{
				XmlElement eLoop = doc.CreateElement("Loop");
				this.InnerActions.ForEach(delegate(Action innerAction)
				{
					eLoop.AppendChild(innerAction.AppendTo(doc));
				});
				root.AppendChild(eLoop);
			}
			bool flag12 = this.ResultTrue.Count > 0;
			if (flag12)
			{
				XmlElement resultTrue = doc.CreateElement("ResultTrue");
				this.InnerActions.ForEach(delegate(Action innerAction)
				{
					resultTrue.AppendChild(innerAction.AppendTo(doc));
				});
				root.AppendChild(resultTrue);
			}
			bool flag13 = this.ResultFalse.Count > 0;
			if (flag13)
			{
				XmlElement resultFalse = doc.CreateElement("ResultFalse");
				this.InnerActions.ForEach(delegate(Action innerAction)
				{
					resultFalse.AppendChild(innerAction.AppendTo(doc));
				});
				root.AppendChild(resultFalse);
			}
			return root;
		}

		// Token: 0x060000DF RID: 223 RVA: 0x00006628 File Offset: 0x00004828
		public string ReplaceWithDictionary(string value, Dictionary<string, string> dictionaryValues)
		{
			string result = value;
			List<string> parts = (from Match m in System.Text.RegularExpressions.Regex.Matches(value, "\\{[^\\}]*\\}")
			select m.Value).ToList<string>();
			parts.ForEach(delegate(string part)
			{
				string temp = part.Trim(new char[]
				{
					'{'
				}).Trim(new char[]
				{
					'}'
				});
				string add = string.Empty;
				bool flag = dictionaryValues.ContainsKey(temp);
				if (flag)
				{
					bool flag2 = this.Where == "input[id=data_da_disponibilizStr]" && dictionaryValues["SearchElements.Fields.Tipo"] == "Publicação";
					if (flag2)
					{
						add += this.getBusinessDay(DateTime.Parse(dictionaryValues[temp]), -1).ToString("dd/MM/yyyy");
					}
					else
					{
						bool flag3 = this.Where == "input[id=data_de_publicacaoStr]" && (dictionaryValues["SearchElements.Fields.Tipo"] == "Disponibilização" || dictionaryValues["SearchElements.Fields.Tipo"] == "Divulgação");
						if (flag3)
						{
							add += this.getBusinessDay(DateTime.Parse(dictionaryValues[temp]), 1).ToString("dd/MM/yyyy");
						}
						else
						{
							add += dictionaryValues[temp];
						}
					}
					bool flag4 = this.Replace != null;
					if (flag4)
					{
						this.Replace.Split(new char[]
						{
							';'
						}).ToList<string>().ForEach(delegate(string x)
						{
							string[] p = x.Split(new char[]
							{
								','
							});
							add = System.Text.RegularExpressions.Regex.Replace(add, p[0], p[1]);
						});
					}
				}
				result = result.Replace(part, add.Replace("&gt;", ">"));
			});
			result = ((result != string.Empty) ? result : value);
			return (this.MaxLength > 0) ? result.Substring(0, Math.Min(result.Length, this.MaxLength)) : result;
		}

		// Token: 0x060000E0 RID: 224 RVA: 0x000066F8 File Offset: 0x000048F8
		public string ReplaceValue(string value, Dictionary<string, string> dictionaryValues)
		{
			string result = string.Empty;
			List<string> parts = (from Match m in System.Text.RegularExpressions.Regex.Matches(value, "\\{[^\\}]*\\}|([:=\\[\\(\\{]{0}[a-zA-Z0-9_%@\\-\\.\\/:?=&;]{1,})")
			select m.Value).ToList<string>();
			parts.ForEach(delegate(string part)
			{
				string temp = part.Trim(new char[]
				{
					'{'
				}).Trim(new char[]
				{
					'}'
				});
				string add = string.Empty;
				bool flag = System.Text.RegularExpressions.Regex.IsMatch(temp, "\\$_Now");
				if (flag)
				{
					DateTime dateNow = DateTime.Now;
					int day = 0;
					string[] p = temp.Split(new char[]
					{
						'?'
					});
					bool flag2 = p.Count<string>() == 1;
					if (flag2)
					{
						bool flag3 = System.Text.RegularExpressions.Regex.IsMatch(p[0], "\\.");
						if (flag3)
						{
							day = int.Parse(temp.Split(new char[]
							{
								'.'
							}).Last<string>());
						}
					}
					else
					{
						string @operator = (from Match match in System.Text.RegularExpressions.Regex.Matches(p[0], "([!=<>]{1,2}[<>=]?)")
						select match.Value).First<string>();
						string[] s = p[0].Split(new string[]
						{
							@operator
						}, StringSplitOptions.RemoveEmptyEntries);
						int hours = int.Parse(s[1]);
						string[] days = p[1].Split(new char[]
						{
							':'
						});
						bool flag4 = (@operator == "==" && dateNow.Hour == hours) || (@operator == "!=" && dateNow.Hour != hours) || (@operator == "<=" && dateNow.Hour <= hours) || (@operator == ">=" && dateNow.Hour >= hours) || (@operator == ">" && dateNow.Hour > hours) || (@operator == "<" && dateNow.Hour < hours);
						if (flag4)
						{
							day = int.Parse(days[0]);
						}
						else
						{
							day = int.Parse(days[1]);
						}
					}
					add = ((day == 0) ? dateNow.ToString("dd/MM/yyyy") : this.getBusinessDay(DateTime.Now, day).ToString("dd/MM/yyyy"));
				}
				bool flag5 = dictionaryValues.ContainsKey(temp);
				if (flag5)
				{
					bool flag6 = this.Where == "input[id=data_da_disponibilizStr]" && dictionaryValues["SearchElements.Fields.Tipo"] == "Publicação";
					if (flag6)
					{
						add += this.getBusinessDay(DateTime.Parse(dictionaryValues[temp]), -1).ToString("dd/MM/yyyy");
					}
					else
					{
						bool flag7 = this.Where == "input[id=data_de_publicacaoStr]" && (dictionaryValues["SearchElements.Fields.Tipo"] == "Disponibilização" || dictionaryValues["SearchElements.Fields.Tipo"] == "Divulgação");
						if (flag7)
						{
							add += this.getBusinessDay(DateTime.Parse(dictionaryValues[temp]), 1).ToString("dd/MM/yyyy");
						}
						else
						{
							add += dictionaryValues[temp];
						}
					}
				}
				bool flag8 = add != string.Empty;
				if (flag8)
				{
					result += add;
				}
				else
				{
					result += System.Text.RegularExpressions.Regex.Replace(part, "amp;", string.Empty);
				}
			});
			result = ((result != string.Empty) ? result : value);
			return (this.MaxLength > 0) ? result.Substring(0, Math.Min(result.Length, this.MaxLength)) : result;
		}

		// Token: 0x060000E1 RID: 225 RVA: 0x000067CC File Offset: 0x000049CC
		private DateTime getBusinessDay(DateTime dateTime, int day)
		{
			DateTime currentDay = dateTime;
			bool flag;
			do
			{
				currentDay = currentDay.AddDays((double)day);
				flag = Shift.isDuringTheWeek(currentDay);
			}
			while (!flag);
			return currentDay;
		}

		// Token: 0x04000048 RID: 72
		private string where;

		// Token: 0x04000049 RID: 73
		private string value;
	}
}
