﻿using System;
using System.Xml;
using ZionRobot.Models.Workflow.Input;
using ZionRobot.Models.Workflow.Output;
using ZionRobot.Models.Workflow.Sync;
using ZionVault.Util;

namespace ZionRobot.Models.Workflow
{
	// Token: 0x02000033 RID: 51
	public class RoadMap : Xml
	{
		// Token: 0x170000D5 RID: 213
		// (get) Token: 0x0600020F RID: 527 RVA: 0x00008563 File Offset: 0x00006763
		public string Path { get; }

		// Token: 0x170000D6 RID: 214
		// (get) Token: 0x06000210 RID: 528 RVA: 0x0000856B File Offset: 0x0000676B
		// (set) Token: 0x06000211 RID: 529 RVA: 0x00008573 File Offset: 0x00006773
		public string DictionaryName { get; set; }

		// Token: 0x06000212 RID: 530 RVA: 0x0000857C File Offset: 0x0000677C
		public RoadMap(string path)
		{
			this.Path = path;
			base.Load(path, this.mainTag, false, false);
			XmlNode root = base.SelectSingleNode(this.mainTag);
			this.InputSettings = new ZionRobot.Models.Workflow.Input.Settings(root.SelectSingleNode("InputSettings"));
			this.OutputSettings = new ZionRobot.Models.Workflow.Output.Settings(root.SelectSingleNode("OutputSettings"));
			this.SyncSettings = new ZionRobot.Models.Workflow.Sync.Settings(root.SelectSingleNode("SyncSettings"));
		}

		// Token: 0x040000DB RID: 219
		private string mainTag = "workflow-settings";

		// Token: 0x040000DE RID: 222
		public ZionRobot.Models.Workflow.Input.Settings InputSettings;

		// Token: 0x040000DF RID: 223
		public ZionRobot.Models.Workflow.Output.Settings OutputSettings;

		// Token: 0x040000E0 RID: 224
		public ZionRobot.Models.Workflow.Sync.Settings SyncSettings;
	}
}
