﻿using System;

namespace ZionRobot.Persistence
{
	// Token: 0x02000028 RID: 40
	public class Basic
	{
		// Token: 0x17000058 RID: 88
		// (get) Token: 0x060000FC RID: 252 RVA: 0x00007078 File Offset: 0x00005278
		internal static string MetaFolder
		{
			get
			{
				return string.Format("{0}\\{1}\\", Environment.GetEnvironmentVariable("ProgramData"), "OnSet Tecnologia");
			}
		}

		// Token: 0x17000059 RID: 89
		// (get) Token: 0x060000FD RID: 253 RVA: 0x000070A4 File Offset: 0x000052A4
		public static string ApplicationFolder
		{
			get
			{
				return string.Format("{0}\\{1}\\", Basic.MetaFolder, Basic.ApplicationName);
			}
		}

		// Token: 0x1700005A RID: 90
		// (get) Token: 0x060000FE RID: 254 RVA: 0x000070CC File Offset: 0x000052CC
		internal static string PublicFolder
		{
			get
			{
				return string.Format("C:\\{0}\\", Basic.ApplicationName);
			}
		}

		// Token: 0x1700005B RID: 91
		// (get) Token: 0x060000FF RID: 255 RVA: 0x000070F0 File Offset: 0x000052F0
		internal static string WorkflowFullPath
		{
			get
			{
				return string.Format("{0}\\Robot.wflow", Basic.ApplicationFolder);
			}
		}

		// Token: 0x1700005C RID: 92
		// (get) Token: 0x06000100 RID: 256 RVA: 0x00007114 File Offset: 0x00005314
		internal static string ConfigurationFolder
		{
			get
			{
				return string.Format("{0}\\Configurations\\", Basic.ApplicationFolder);
			}
		}

		// Token: 0x1700005D RID: 93
		// (get) Token: 0x06000101 RID: 257 RVA: 0x00007138 File Offset: 0x00005338
		internal static string BlueprintsFolder
		{
			get
			{
				return string.Format("{0}\\Blueprints\\", Basic.ApplicationFolder);
			}
		}

		// Token: 0x1700005E RID: 94
		// (get) Token: 0x06000102 RID: 258 RVA: 0x0000715C File Offset: 0x0000535C
		internal static string LogsFolder
		{
			get
			{
				return string.Format("{0}\\Logs\\", Basic.PublicFolder);
			}
		}

		// Token: 0x1700005F RID: 95
		// (get) Token: 0x06000103 RID: 259 RVA: 0x00007180 File Offset: 0x00005380
		internal static string SearchResultFolder
		{
			get
			{
				return string.Format("{0}\\SearchResults\\", Basic.PublicFolder);
			}
		}

		// Token: 0x17000060 RID: 96
		// (get) Token: 0x06000104 RID: 260 RVA: 0x000071A4 File Offset: 0x000053A4
		internal static string DoneFolder
		{
			get
			{
				return string.Format("{0}\\Done\\", Basic.PublicFolder);
			}
		}

		// Token: 0x04000054 RID: 84
		public const bool DEBUG = false;

		// Token: 0x04000055 RID: 85
		public static string ApplicationName = "Robot";

		// Token: 0x04000056 RID: 86
		public const string ERROR = "ERROR";

		// Token: 0x04000057 RID: 87
		public const string EXTRACTION = "EXTRACTION";

		// Token: 0x04000058 RID: 88
		public const string WAITING = "WAITING";

		// Token: 0x04000059 RID: 89
		public const string INTEGRATION = "INTEGRATION";

		// Token: 0x0400005A RID: 90
		public const string INTEGRATED = "INTEGRATED";

		// Token: 0x0400005B RID: 91
		public static string DELETED = "DELETED";
	}
}
