﻿using System;
using System.Collections.Generic;
using System.Web.Script.Serialization;
using Newtonsoft.Json;
using ZionRobot.Models.ZFlow;
using ZionRobot.Persistence;
using ZionVault.WebService;

namespace ZionRobot.WebService
{
	// Token: 0x02000019 RID: 25
	public class LawsuitPhaseProgress
	{
		// Token: 0x06000092 RID: 146 RVA: 0x00005A20 File Offset: 0x00003C20
		internal List<LawsuitPhaseProgress> LawsuitPhaseProgressToSync()
		{
			string result = new Client(WSProperties.UrlApi)._request("GET", WSProperties.LawsuitPhaseProgressToSync, WSProperties.Token, null, string.Empty, null);
			return JsonConvert.DeserializeObject<List<LawsuitPhaseProgress>>(result);
		}

		// Token: 0x06000093 RID: 147 RVA: 0x00005A60 File Offset: 0x00003C60
		internal string UpdateUrl(LawsuitPhaseProgress LawsuitPhaseProgress)
		{
			string a = new JavaScriptSerializer().Serialize(new
			{
				LawsuitPhaseProgress
			});
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitPhaseProgressLink, WSProperties.Token, null, a, null);
		}

		// Token: 0x06000094 RID: 148 RVA: 0x00005AA4 File Offset: 0x00003CA4
		internal string UpdateSync(LawsuitPhaseProgress LawsuitPhaseProgress, int status)
		{
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitPhaseProgressSync, WSProperties.Token, null, new JavaScriptSerializer().Serialize(new
			{
				EntityId = LawsuitPhaseProgress.EntityId,
				ClientId = LawsuitPhaseProgress.ClientId,
				FieldOfLawId = LawsuitPhaseProgress.FieldOfLawId,
				LawsuitId = LawsuitPhaseProgress.LawsuitId,
				LawsuitPhaseId = LawsuitPhaseProgress.LawsuitPhaseId,
				Id = LawsuitPhaseProgress.Id,
				SyncId = LawsuitPhaseProgress.SyncId,
				SyncStatus = status
			}), null);
		}
	}
}
