﻿using System;
using System.Xml;
using ZionRobot.Models.Workflow.Input;
using ZionRobot.Models.Workflow.Output;
using ZionRobot.Models.Workflow.Sync;
using ZionVault.Util;

namespace ZionRobot.Models.Workflow
{
	// Token: 0x0200003F RID: 63
	public class RoadMap : Xml
	{
		// Token: 0x17000149 RID: 329
		// (get) Token: 0x06000309 RID: 777 RVA: 0x00009E67 File Offset: 0x00008067
		public string Path { get; }

		// Token: 0x1700014A RID: 330
		// (get) Token: 0x0600030A RID: 778 RVA: 0x00009E6F File Offset: 0x0000806F
		// (set) Token: 0x0600030B RID: 779 RVA: 0x00009E77 File Offset: 0x00008077
		public string DictionaryName { get; set; }

		// Token: 0x0600030C RID: 780 RVA: 0x00009E80 File Offset: 0x00008080
		public RoadMap(string path)
		{
			this.Path = path;
			base.Load(path, this.mainTag, false, false);
			XmlNode root = base.SelectSingleNode(this.mainTag);
			this.InputSettings = new ZionRobot.Models.Workflow.Input.Settings(root.SelectSingleNode("InputSettings"));
			this.OutputSettings = new ZionRobot.Models.Workflow.Output.Settings(root.SelectSingleNode("OutputSettings"));
			this.SyncSettings = new ZionRobot.Models.Workflow.Sync.Settings(root.SelectSingleNode("SyncSettings"));
		}

		// Token: 0x04000144 RID: 324
		private string mainTag = "workflow-settings";

		// Token: 0x04000147 RID: 327
		public ZionRobot.Models.Workflow.Input.Settings InputSettings;

		// Token: 0x04000148 RID: 328
		public ZionRobot.Models.Workflow.Output.Settings OutputSettings;

		// Token: 0x04000149 RID: 329
		public ZionRobot.Models.Workflow.Sync.Settings SyncSettings;
	}
}
