﻿using System;

namespace ZionRobot.Persistence
{
	// Token: 0x02000026 RID: 38
	public class Basic
	{
		// Token: 0x17000053 RID: 83
		// (get) Token: 0x060000F1 RID: 241 RVA: 0x00006D54 File Offset: 0x00004F54
		internal static string MetaFolder
		{
			get
			{
				return string.Format("{0}\\{1}\\", Environment.GetEnvironmentVariable("ProgramData"), "OnSet Tecnologia");
			}
		}

		// Token: 0x17000054 RID: 84
		// (get) Token: 0x060000F2 RID: 242 RVA: 0x00006D80 File Offset: 0x00004F80
		public static string ApplicationFolder
		{
			get
			{
				return string.Format("{0}\\{1}\\", Basic.MetaFolder, Basic.ApplicationName);
			}
		}

		// Token: 0x17000055 RID: 85
		// (get) Token: 0x060000F3 RID: 243 RVA: 0x00006DA8 File Offset: 0x00004FA8
		internal static string PublicFolder
		{
			get
			{
				return string.Format("C:\\{0}\\", Basic.ApplicationName);
			}
		}

		// Token: 0x17000056 RID: 86
		// (get) Token: 0x060000F4 RID: 244 RVA: 0x00006DCC File Offset: 0x00004FCC
		internal static string WorkflowFullPath
		{
			get
			{
				return string.Format("{0}\\Robot.wflow", Basic.ApplicationFolder);
			}
		}

		// Token: 0x17000057 RID: 87
		// (get) Token: 0x060000F5 RID: 245 RVA: 0x00006DF0 File Offset: 0x00004FF0
		internal static string ConfigurationFolder
		{
			get
			{
				return string.Format("{0}\\Configurations\\", Basic.ApplicationFolder);
			}
		}

		// Token: 0x17000058 RID: 88
		// (get) Token: 0x060000F6 RID: 246 RVA: 0x00006E14 File Offset: 0x00005014
		internal static string BlueprintsFolder
		{
			get
			{
				return string.Format("{0}\\Blueprints\\", Basic.ApplicationFolder);
			}
		}

		// Token: 0x17000059 RID: 89
		// (get) Token: 0x060000F7 RID: 247 RVA: 0x00006E38 File Offset: 0x00005038
		internal static string LogsFolder
		{
			get
			{
				return string.Format("{0}\\Logs\\", Basic.PublicFolder);
			}
		}

		// Token: 0x1700005A RID: 90
		// (get) Token: 0x060000F8 RID: 248 RVA: 0x00006E5C File Offset: 0x0000505C
		internal static string SearchResultFolder
		{
			get
			{
				return string.Format("{0}\\SearchResults\\", Basic.PublicFolder);
			}
		}

		// Token: 0x1700005B RID: 91
		// (get) Token: 0x060000F9 RID: 249 RVA: 0x00006E80 File Offset: 0x00005080
		internal static string DoneFolder
		{
			get
			{
				return string.Format("{0}\\Done\\", Basic.PublicFolder);
			}
		}

		// Token: 0x0400004E RID: 78
		public const bool DEBUG = false;

		// Token: 0x0400004F RID: 79
		public static string ApplicationName = "Robot";

		// Token: 0x04000050 RID: 80
		public const string ERROR = "ERROR";

		// Token: 0x04000051 RID: 81
		public const string EXTRACTION = "EXTRACTION";

		// Token: 0x04000052 RID: 82
		public const string WAITING = "WAITING";

		// Token: 0x04000053 RID: 83
		public const string INTEGRATION = "INTEGRATION";

		// Token: 0x04000054 RID: 84
		public const string INTEGRATED = "INTEGRATED";

		// Token: 0x04000055 RID: 85
		public static string DELETED = "DELETED";
	}
}
