﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using ZionRobot.Models.Items;

namespace ZionRobot.Persistence
{
	// Token: 0x02000028 RID: 40
	public class Queues
	{
		// Token: 0x1700005D RID: 93
		// (get) Token: 0x060000FF RID: 255 RVA: 0x00006F10 File Offset: 0x00005110
		internal List<ZionRobot.Models.Items.File> Files
		{
			get
			{
				bool flag = this.files == null;
				if (flag)
				{
					this.files = new List<ZionRobot.Models.Items.File>();
				}
				this.files.RemoveAll((ZionRobot.Models.Items.File file) => !System.IO.File.Exists(file.FullPath));
				(from file in this.files
				where file.Status == "INTEGRATED" && !file.Disposed
				select file).ToList<ZionRobot.Models.Items.File>().ForEach(delegate(ZionRobot.Models.Items.File file)
				{
					file.Dispose();
				});
				return this.files;
			}
		}

		// Token: 0x1700005E RID: 94
		// (get) Token: 0x06000100 RID: 256 RVA: 0x00006FC0 File Offset: 0x000051C0
		internal List<ZionRobot.Models.Items.File> Extraction
		{
			get
			{
				bool flag = this.Files == null;
				List<ZionRobot.Models.Items.File> result;
				if (flag)
				{
					result = null;
				}
				else
				{
					this.extraction = (from x in this.Files
					where x.Status == "EXTRACTION"
					select x).ToList<ZionRobot.Models.Items.File>();
					result = this.extraction;
				}
				return result;
			}
		}

		// Token: 0x1700005F RID: 95
		// (get) Token: 0x06000101 RID: 257 RVA: 0x00007020 File Offset: 0x00005220
		internal List<ZionRobot.Models.Items.File> Integration
		{
			get
			{
				bool flag = this.Files == null;
				List<ZionRobot.Models.Items.File> result;
				if (flag)
				{
					result = null;
				}
				else
				{
					this.exportation = (from x in this.Files
					where x.Status == "INTEGRATION"
					select x).ToList<ZionRobot.Models.Items.File>();
					result = this.exportation;
				}
				return result;
			}
		}

		// Token: 0x17000060 RID: 96
		// (get) Token: 0x06000102 RID: 258 RVA: 0x00007080 File Offset: 0x00005280
		internal ZionRobot.Models.Items.File Integrated
		{
			get
			{
				bool flag = this.Files == null;
				ZionRobot.Models.Items.File result;
				if (flag)
				{
					result = null;
				}
				else
				{
					IEnumerable<ZionRobot.Models.Items.File> enumerable = from x in this.Files
					where x.Status == "INTEGRATED"
					select x;
					this.exportated = ((enumerable != null) ? enumerable.FirstOrDefault<ZionRobot.Models.Items.File>() : null);
					result = this.exportated;
				}
				return result;
			}
		}

		// Token: 0x04000057 RID: 87
		private List<ZionRobot.Models.Items.File> files;

		// Token: 0x04000058 RID: 88
		private List<ZionRobot.Models.Items.File> extraction;

		// Token: 0x04000059 RID: 89
		private List<ZionRobot.Models.Items.File> exportation;

		// Token: 0x0400005A RID: 90
		private ZionRobot.Models.Items.File exportated;
	}
}
