﻿using System;
using System.Diagnostics;
using System.IO;
using System.Threading;
using System.Windows;
using System.Windows.Threading;
using ZionRobot.Handlers;
using ZionRobot.Models.Source;
using ZionRobot.Persistence;

namespace ZionRobot.Tasks
{
	// Token: 0x0200001E RID: 30
	internal class Input
	{
		// Token: 0x1700002E RID: 46
		// (get) Token: 0x060000AA RID: 170 RVA: 0x00005E20 File Offset: 0x00004020
		public bool Running
		{
			get
			{
				return this.running;
			}
		}

		// Token: 0x060000AB RID: 171 RVA: 0x00005E28 File Offset: 0x00004028
		public Input()
		{
			this.running = false;
		}

		// Token: 0x060000AC RID: 172 RVA: 0x00005E50 File Offset: 0x00004050
		public void Execute(Origin source)
		{
			bool flag = !this.running;
			if (flag)
			{
				this.running = true;
				this.stopwatch.Start();
				Application.Current.Dispatcher.Invoke(delegate()
				{
					this.handler = Browser.Instance;
				});
				ThreadStart <>9__2;
				System.Action <>9__5;
				ThreadStart <>9__3;
				new Thread(delegate()
				{
					ThreadStart start;
					if ((start = <>9__2) == null)
					{
						start = (<>9__2 = delegate()
						{
							string outputFolder = Path.Combine(Basic.SearchResultFolder, source.OutputFolder, DateTime.Now.ToString("yyyyMMdd"));
							Application.Current.Dispatcher.Invoke(delegate()
							{
								this.handler.Source = source;
								this.handler.ExecuteAndSave(outputFolder);
							});
						});
					}
					Thread t = new Thread(start);
					t.Start();
					ThreadStart start2;
					if ((start2 = <>9__3) == null)
					{
						start2 = (<>9__3 = delegate()
						{
							while (this.handler.Main == null || this.handler.Main.IsAlive)
							{
								bool flag2 = this.stopwatch.Elapsed.TotalSeconds > (double)this.limitTime;
								if (flag2)
								{
									break;
								}
								Thread.Sleep(1000);
							}
							this.stopwatch.Stop();
							this.stopwatch.Reset();
							Dispatcher dispatcher = Application.Current.Dispatcher;
							System.Action callback;
							if ((callback = <>9__5) == null)
							{
								callback = (<>9__5 = delegate()
								{
									this.handler.Close();
								});
							}
							dispatcher.Invoke(callback);
							this.running = false;
							GC.Collect();
							GC.WaitForPendingFinalizers();
							GC.Collect();
						});
					}
					new Thread(start2).Start();
				}).Start();
			}
		}

		// Token: 0x04000036 RID: 54
		private bool running;

		// Token: 0x04000037 RID: 55
		private Browser handler;

		// Token: 0x04000038 RID: 56
		private int limitTime = 960;

		// Token: 0x04000039 RID: 57
		private Stopwatch stopwatch = new Stopwatch();
	}
}
