﻿using System;
using System.Collections.Concurrent;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Threading;
using System.Windows;
using System.Windows.Threading;
using ZionRobot.Handlers;
using ZionRobot.Models.Items;
using ZionRobot.Models.Source;
using ZionRobot.Persistence;
using ZionVault.Binder.Output;

namespace ZionRobot.Tasks
{
	// Token: 0x02000020 RID: 32
	internal class Output
	{
		// Token: 0x17000030 RID: 48
		// (get) Token: 0x060000B5 RID: 181 RVA: 0x000064EC File Offset: 0x000046EC
		public bool Running
		{
			get
			{
				return this.running;
			}
		}

		// Token: 0x060000B6 RID: 182 RVA: 0x000064F4 File Offset: 0x000046F4
		public Output()
		{
			this.running = false;
		}

		// Token: 0x060000B7 RID: 183 RVA: 0x0000651C File Offset: 0x0000471C
		public void Execute(Origin source, ZionRobot.Models.Items.File file)
		{
			this.running = true;
			this.stopwatch.Start();
			Application.Current.Dispatcher.Invoke(delegate()
			{
				this.handler = Browser.Instance;
			});
			System.Action <>9__4;
			ThreadStart <>9__2;
			System.Action <>9__5;
			ThreadStart <>9__3;
			new Thread(delegate()
			{
				ThreadStart start;
				if ((start = <>9__2) == null)
				{
					start = (<>9__2 = delegate()
					{
						try
						{
							Dispatcher dispatcher = Application.Current.Dispatcher;
							System.Action callback;
							if ((callback = <>9__4) == null)
							{
								callback = (<>9__4 = delegate()
								{
									this.map(file);
									this.handler.Source = source;
									Directory.CreateDirectory(Path.Combine(Basic.DoneFolder, source.Title));
									this.handler.ExecuteAndMove(file, Path.Combine(Basic.DoneFolder, source.Title));
								});
							}
							dispatcher.Invoke(callback);
						}
						catch (Exception ex)
						{
							file.Status = "ERROR";
						}
					});
				}
				Thread t = new Thread(start);
				t.Start();
				ThreadStart start2;
				if ((start2 = <>9__3) == null)
				{
					start2 = (<>9__3 = delegate()
					{
						while (this.handler.Main == null || this.handler.Main.IsAlive)
						{
							bool flag = this.stopwatch.Elapsed.TotalSeconds > (double)this.limitTime;
							if (flag)
							{
								break;
							}
							Thread.Sleep(1000);
						}
						this.stopwatch.Stop();
						this.stopwatch.Reset();
						Dispatcher dispatcher = Application.Current.Dispatcher;
						System.Action callback;
						if ((callback = <>9__5) == null)
						{
							callback = (<>9__5 = delegate()
							{
								this.handler.Close();
							});
						}
						dispatcher.Invoke(callback);
						this.running = false;
					});
				}
				new Thread(start2).Start();
			}).Start();
		}

		// Token: 0x060000B8 RID: 184 RVA: 0x0000658C File Offset: 0x0000478C
		public void Execute(Origin source)
		{
			this.running = true;
			this.stopwatch.Start();
			Application.Current.Dispatcher.Invoke(delegate()
			{
				this.handler = Browser.Instance;
			});
			System.Action <>9__4;
			ThreadStart <>9__2;
			System.Action <>9__5;
			ThreadStart <>9__3;
			new Thread(delegate()
			{
				ThreadStart start;
				if ((start = <>9__2) == null)
				{
					start = (<>9__2 = delegate()
					{
						try
						{
							Dispatcher dispatcher = Application.Current.Dispatcher;
							System.Action callback;
							if ((callback = <>9__4) == null)
							{
								callback = (<>9__4 = delegate()
								{
									this.handler.Source = source;
									Directory.CreateDirectory(Path.Combine(Basic.DoneFolder, source.Title));
									this.handler.ExecuteDemo();
								});
							}
							dispatcher.Invoke(callback);
						}
						catch (Exception ex)
						{
						}
					});
				}
				Thread t = new Thread(start);
				t.Start();
				ThreadStart start2;
				if ((start2 = <>9__3) == null)
				{
					start2 = (<>9__3 = delegate()
					{
						while (this.handler.Main == null || this.handler.Main.IsAlive)
						{
							bool flag = this.stopwatch.Elapsed.TotalSeconds > (double)this.limitTime;
							if (flag)
							{
								break;
							}
							Thread.Sleep(1000);
						}
						this.stopwatch.Stop();
						this.stopwatch.Reset();
						Dispatcher dispatcher = Application.Current.Dispatcher;
						System.Action callback;
						if ((callback = <>9__5) == null)
						{
							callback = (<>9__5 = delegate()
							{
								this.handler.Close();
							});
						}
						dispatcher.Invoke(callback);
						this.running = false;
					});
				}
				new Thread(start2).Start();
			}).Start();
		}

		// Token: 0x060000B9 RID: 185 RVA: 0x000065F4 File Offset: 0x000047F4
		private void map(ZionRobot.Models.Items.File file)
		{
			(from p in file.METAObject.Pages
			select p.SearchElements).ToList<ConcurrentBag<Field>>().ForEach(delegate(ConcurrentBag<Field> PageElements)
			{
				PageElements.ToList<Field>().ForEach(delegate(Field f)
				{
					bool flag = f.Type == "Date";
					if (flag)
					{
						f.Value = DateTime.Parse(f.Value).ToString("dd/MM/yyyy");
					}
					this.handler.DictionaryValues.Add(f.FullName, f.Value);
				});
			});
		}

		// Token: 0x04000040 RID: 64
		private bool running;

		// Token: 0x04000041 RID: 65
		private Browser handler;

		// Token: 0x04000042 RID: 66
		private int limitTime = 1200;

		// Token: 0x04000043 RID: 67
		private Stopwatch stopwatch = new Stopwatch();
	}
}
