﻿using System;
using System.Collections.Generic;
using System.Web.Script.Serialization;
using Newtonsoft.Json;
using ZionRobot.Models.ZFlow;
using ZionRobot.Persistence;
using ZionVault.WebService;

namespace ZionRobot.WebService
{
	// Token: 0x0200001A RID: 26
	public class Lawsuit
	{
		// Token: 0x06000095 RID: 149 RVA: 0x00005844 File Offset: 0x00003A44
		internal List<Lawsuit> LawsuitsToSync()
		{
			string result = new Client(WSProperties.UrlApi)._request("GET", WSProperties.LawsuitsToSync, WSProperties.Token, null, string.Empty, null);
			return JsonConvert.DeserializeObject<List<Lawsuit>>(result);
		}

		// Token: 0x06000096 RID: 150 RVA: 0x00005884 File Offset: 0x00003A84
		internal string UpdateUrl(Lawsuit lawsuit)
		{
			string a = new JavaScriptSerializer().Serialize(new
			{
				lawsuit
			});
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitLink, WSProperties.Token, null, a, null);
		}

		// Token: 0x06000097 RID: 151 RVA: 0x000058C8 File Offset: 0x00003AC8
		internal string UpdateSync(Lawsuit lawsuit, int status)
		{
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitSync, WSProperties.Token, null, new JavaScriptSerializer().Serialize(new
			{
				EntityId = lawsuit.EntityId,
				ClientId = lawsuit.ClientId,
				FieldOfLawId = lawsuit.FieldOfLawId,
				Id = lawsuit.Id,
				SyncId = lawsuit.SyncId,
				SyncStatus = status
			}), null);
		}
	}
}
