﻿using System;
using System.Collections.Generic;
using System.Web.Script.Serialization;
using Newtonsoft.Json;
using ZionRobot.Models.ZFlow;
using ZionRobot.Persistence;
using ZionVault.WebService;

namespace ZionRobot.WebService
{
	// Token: 0x02000017 RID: 23
	public class LawsuitDemand
	{
		// Token: 0x06000089 RID: 137 RVA: 0x00005560 File Offset: 0x00003760
		internal List<LawsuitDemand> LawsuitDemandsToSync()
		{
			string result = new Client(WSProperties.UrlApi)._request("GET", WSProperties.LawsuitDemandsToSync, WSProperties.Token, null, string.Empty, null);
			return JsonConvert.DeserializeObject<List<LawsuitDemand>>(result);
		}

		// Token: 0x0600008A RID: 138 RVA: 0x000055A0 File Offset: 0x000037A0
		internal string UpdateUrl(LawsuitDemand LawsuitDemand)
		{
			string a = new JavaScriptSerializer().Serialize(new
			{
				LawsuitDemand
			});
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitDemandLink, WSProperties.Token, null, a, null);
		}

		// Token: 0x0600008B RID: 139 RVA: 0x000055E4 File Offset: 0x000037E4
		internal string UpdateSync(LawsuitDemand LawsuitDemand, int status)
		{
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitDemandSync, WSProperties.Token, null, new JavaScriptSerializer().Serialize(new
			{
				EntityId = LawsuitDemand.EntityId,
				ClientId = LawsuitDemand.ClientId,
				FieldOfLawId = LawsuitDemand.FieldOfLawId,
				LawsuitId = LawsuitDemand.LawsuitId,
				Id = LawsuitDemand.Id,
				SyncId = LawsuitDemand.SyncId,
				SyncStatus = status
			}), null);
		}
	}
}
