﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionRobot.Models.ZFlow
{
    public class LawsuitPhase
    {
        private int entityId;
        private int clientId;
        private int fieldOfLawId;
        private int lawsuitId;
        private int id;
        private DateTime openingDate;
        private string number;
        private bool current;
        private string type;
        private string accountable;
        private Dictionary<string, string> fields;
        private string link;
        private string parentLink;
        private int syncId;
        private string syncAction;

        public int EntityId { get => entityId; set => entityId = value; }
        public int ClientId { get => clientId; set => clientId = value; }
        public int FieldOfLawId { get => fieldOfLawId; set => fieldOfLawId = value; }
        public int LawsuitId { get => lawsuitId; set => lawsuitId = value; }
        public int Id { get => id; set => id = value; }
        public DateTime OpeningDate { get => openingDate; set => openingDate = value; }
        public string Number { get => number; set => number = value; }
        public bool Current { get => current; set => current = value; }
        public string Type { get => type; set => type = value; }
        public string Accountable { get => accountable; set => accountable = value; }
        public Dictionary<string, string> Fields { get => fields; set => fields = value; }
        public string Link { get => link; set => link = value; }
        public string ParentLink { get => parentLink; set => parentLink = value; }
        public int SyncId { get => syncId; set => syncId = value; }
        public string SyncAction { get => syncAction; set => syncAction = value; }

        public LawsuitPhase()
        {
            fields = new Dictionary<string, string>();
        }
        public void UpdateUrl()
        {
            var result = new WebService.LawsuitPhase().UpdateUrl(this);
        }
        public void UpdateSycn(int syncStatus)
        {
            var result = new WebService.LawsuitPhase().UpdateSync(this, syncStatus);
        }

        /*
        public void createActivity()
        {
            try
            {
                var result = new WebService.Activity().ActivityCreate(this);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        public void UpdateActivityUrl()
        {
            var result = new WebService.Activity().UpdateActivityUrl(this);
        }
        public void UpdateActivityFieldValue(string name, string value)
        {
            var result = new WebService.Activity().UpdateActivityFieldValue(this, name, value);
        }
        
        public void UpdateActivityCaseUrl()
        {
            var result = new WebService.Activity().UpdateActivityCaseUrl(this);
        }
        public void UpdateActivitySycn(int syncStatus)
        {
            var result = new WebService.Activity().UpdateActivitySync(this, syncStatus);
        }
      
        public void CanceledActivity()
        {
            var result = new WebService.Activity().ActivityCanceled(this);
        }

        public void DoneActivity()
        {
            var result = new WebService.Activity().ActivityDone(this);
        }
        */
    }
}
