﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionRobot.Models.ZFlow
{
    public class LawsuitPhaseProgress
    {
        private int entityId;
        private int clientId;
        private int fieldOfLawId;
        private int lawsuitId;
        private int lawsuitPhaseId;
        private int id;
        //private DateTime date;
        private string date;
        private string number;
        private bool current;
        private string type;
        private string accountable;
        private Dictionary<string, string> fields;
        private string link;
        private string parentLink;
        private int syncId;
        private string syncAction;

        public int EntityId { get => entityId; set => entityId = value; }
        public int ClientId { get => clientId; set => clientId = value; }
        public int FieldOfLawId { get => fieldOfLawId; set => fieldOfLawId = value; }
        public int LawsuitId { get => lawsuitId; set => lawsuitId = value; }
        public int LawsuitPhaseId { get => lawsuitPhaseId; set => lawsuitPhaseId = value; }
        public int Id { get => id; set => id = value; }
        //public DateTime Date { get => date; set => date = value; }
        public string Date { get => date; set => date = value; }
        public string Number { get => number; set => number = value; }
        public bool Current { get => current; set => current = value; }
        public string Type { get => type; set => type = value; }
        public string Accountable { get => accountable; set => accountable = value; }
        public Dictionary<string, string> Fields { get => fields; set => fields = value; }
        public string Link { get => link; set => link = value; }
        public string ParentLink { get => parentLink; set => parentLink = value; }
        public int SyncId { get => syncId; set => syncId = value; }
        public string SyncAction { get => syncAction; set => syncAction = value; }

        public LawsuitPhaseProgress()
        {
            fields = new Dictionary<string, string>();
        }
        public void UpdateUrl()
        {
            var result = new WebService.LawsuitPhaseProgress().UpdateUrl(this);
        }
        public void UpdateSycn(int syncStatus)
        {
            var result = new WebService.LawsuitPhaseProgress().UpdateSync(this, syncStatus);
        }
    }
}
