﻿using System;
using System.Collections.Generic;
using System.Xml;

namespace ZionSchematics.Models
{
    [Serializable]
    public class Fields
    {
        public List<Field> Elements { get; set; }

        public Fields()
        {
            this.Elements = new List<Field>();
        }

        public XmlElement Save(XmlDocument context)
        {
            XmlElement fields = context.CreateElement(@"fields");

            foreach (Field field in this.Elements)
                fields.AppendChild(field.Save(context));

            return fields;
        }
    }
}
