﻿namespace  ZionVault.Binder.Indexing
{
    public class Definition
    {
        /// <summary>
        /// Id da definição.
        /// </summary>
        private string id = null;

        /// <summary>
        /// Código de referência da definição. ex: #0001
        /// </summary>
        private string reference;

        /// <summary>
        /// Caminho do arquivo "*.fcdot".
        /// </summary>
        private string path = null;

        /// <summary>
        /// Função de a variável id
        /// </summary>
        public string Id
        {
            get { return this.id; }
            set { this.id = value; }
        }

        /// <summary>
        /// Função de a variável reference
        /// </summary>
        public string Reference
        {
            get { return this.reference; }
            set { this.reference = value; }
        }

        /// <summary>
        /// Função de a variável path
        /// </summary>
        public string Path
        {
            get { return this.path; }
            set { this.path = value; }
        }
    }
}
