﻿using System;

namespace ZionRobot.Persistence
{
	// Token: 0x0200001E RID: 30
	public class Basic
	{
		// Token: 0x17000035 RID: 53
		// (get) Token: 0x060000AD RID: 173 RVA: 0x00005B54 File Offset: 0x00003D54
		internal static string MetaFolder
		{
			get
			{
				return string.Format("{0}\\{1}\\", Environment.GetEnvironmentVariable("ProgramData"), "OnSet Tecnologia");
			}
		}

		// Token: 0x17000036 RID: 54
		// (get) Token: 0x060000AE RID: 174 RVA: 0x00005B80 File Offset: 0x00003D80
		public static string ApplicationFolder
		{
			get
			{
				return string.Format("{0}\\{1}\\", Basic.MetaFolder, Basic.ApplicationName);
			}
		}

		// Token: 0x17000037 RID: 55
		// (get) Token: 0x060000AF RID: 175 RVA: 0x00005BA8 File Offset: 0x00003DA8
		internal static string PublicFolder
		{
			get
			{
				return string.Format("C:\\{0}\\", Basic.ApplicationName);
			}
		}

		// Token: 0x17000038 RID: 56
		// (get) Token: 0x060000B0 RID: 176 RVA: 0x00005BCC File Offset: 0x00003DCC
		internal static string WorkflowFullPath
		{
			get
			{
				return string.Format("{0}\\Robot.wflow", Basic.ApplicationFolder);
			}
		}

		// Token: 0x17000039 RID: 57
		// (get) Token: 0x060000B1 RID: 177 RVA: 0x00005BF0 File Offset: 0x00003DF0
		internal static string ConfigurationFolder
		{
			get
			{
				return string.Format("{0}\\Configurations\\", Basic.ApplicationFolder);
			}
		}

		// Token: 0x1700003A RID: 58
		// (get) Token: 0x060000B2 RID: 178 RVA: 0x00005C14 File Offset: 0x00003E14
		internal static string BlueprintsFolder
		{
			get
			{
				return string.Format("{0}\\Blueprints\\", Basic.ApplicationFolder);
			}
		}

		// Token: 0x1700003B RID: 59
		// (get) Token: 0x060000B3 RID: 179 RVA: 0x00005C38 File Offset: 0x00003E38
		internal static string LogsFolder
		{
			get
			{
				return string.Format("{0}\\Logs\\", Basic.PublicFolder);
			}
		}

		// Token: 0x1700003C RID: 60
		// (get) Token: 0x060000B4 RID: 180 RVA: 0x00005C5C File Offset: 0x00003E5C
		internal static string SearchResultFolder
		{
			get
			{
				return string.Format("{0}\\SearchResults\\", Basic.PublicFolder);
			}
		}

		// Token: 0x1700003D RID: 61
		// (get) Token: 0x060000B5 RID: 181 RVA: 0x00005C80 File Offset: 0x00003E80
		internal static string DoneFolder
		{
			get
			{
				return string.Format("{0}\\Done\\", Basic.PublicFolder);
			}
		}

		// Token: 0x0400003B RID: 59
		public const bool DEBUG = false;

		// Token: 0x0400003C RID: 60
		public static string ApplicationName = "Robot";

		// Token: 0x0400003D RID: 61
		public const string ERROR = "ERROR";

		// Token: 0x0400003E RID: 62
		public const string EXTRACTION = "EXTRACTION";

		// Token: 0x0400003F RID: 63
		public const string WAITING = "WAITING";

		// Token: 0x04000040 RID: 64
		public const string INTEGRATION = "INTEGRATION";

		// Token: 0x04000041 RID: 65
		public const string INTEGRATED = "INTEGRATED";

		// Token: 0x04000042 RID: 66
		public static string DELETED = "DELETED";
	}
}
