﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading;

namespace ZionRobot.Models.Logs
{
	// Token: 0x02000032 RID: 50
	public class Search
	{
		// Token: 0x17000091 RID: 145
		// (get) Token: 0x06000179 RID: 377 RVA: 0x00008AAD File Offset: 0x00006CAD
		// (set) Token: 0x0600017A RID: 378 RVA: 0x00008AB5 File Offset: 0x00006CB5
		public List<string> SearchResults
		{
			get
			{
				return this.searchResults;
			}
			set
			{
				this.SearchResults = value;
			}
		}

		// Token: 0x0600017B RID: 379 RVA: 0x00008AC0 File Offset: 0x00006CC0
		public Search(string path)
		{
			this.path = path;
			this.searchResults = new List<string>();
			bool flag = File.Exists(this.path);
			if (flag)
			{
				this.searchResults = File.ReadAllLines(this.path).ToList<string>();
			}
		}

		// Token: 0x0600017C RID: 380 RVA: 0x00008B10 File Offset: 0x00006D10
		public void Save()
		{
			try
			{
				using (StreamWriter stream = new StreamWriter(this.path))
				{
					this.searchResults.ForEach(delegate(string r)
					{
						stream.WriteLine(r);
					});
					stream.Close();
					stream.Dispose();
				}
			}
			catch (IOException ex)
			{
				Thread.Sleep(200);
				this.Save();
			}
			catch (Exception ex2)
			{
				throw new Exception(ex2.Message);
			}
		}

		// Token: 0x04000091 RID: 145
		private string path;

		// Token: 0x04000092 RID: 146
		private List<string> searchResults;
	}
}
