﻿using System;
using System.Xml;
using ZionRobot.Models.Workflow.Input;
using ZionRobot.Models.Workflow.Output;
using ZionRobot.Models.Workflow.Sync;
using ZionVault.Util;

namespace ZionRobot.Models.Workflow
{
	// Token: 0x02000041 RID: 65
	public class RoadMap : Xml
	{
		// Token: 0x1700014E RID: 334
		// (get) Token: 0x06000314 RID: 788 RVA: 0x0000A18B File Offset: 0x0000838B
		public string Path { get; }

		// Token: 0x1700014F RID: 335
		// (get) Token: 0x06000315 RID: 789 RVA: 0x0000A193 File Offset: 0x00008393
		// (set) Token: 0x06000316 RID: 790 RVA: 0x0000A19B File Offset: 0x0000839B
		public string DictionaryName { get; set; }

		// Token: 0x06000317 RID: 791 RVA: 0x0000A1A4 File Offset: 0x000083A4
		public RoadMap(string path)
		{
			this.Path = path;
			base.Load(path, this.mainTag, false, false);
			XmlNode root = base.SelectSingleNode(this.mainTag);
			this.InputSettings = new ZionRobot.Models.Workflow.Input.Settings(root.SelectSingleNode("InputSettings"));
			this.OutputSettings = new ZionRobot.Models.Workflow.Output.Settings(root.SelectSingleNode("OutputSettings"));
			this.SyncSettings = new ZionRobot.Models.Workflow.Sync.Settings(root.SelectSingleNode("SyncSettings"));
		}

		// Token: 0x0400014A RID: 330
		private string mainTag = "workflow-settings";

		// Token: 0x0400014D RID: 333
		public ZionRobot.Models.Workflow.Input.Settings InputSettings;

		// Token: 0x0400014E RID: 334
		public ZionRobot.Models.Workflow.Output.Settings OutputSettings;

		// Token: 0x0400014F RID: 335
		public ZionRobot.Models.Workflow.Sync.Settings SyncSettings;
	}
}
