﻿using System;
using System.Collections.Concurrent;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Threading;
using System.Windows;
using System.Windows.Threading;
using ZionRobot.Handlers;
using ZionRobot.Models.Items;
using ZionRobot.Models.Source;
using ZionRobot.Persistence;
using ZionVault.Binder.Output;

namespace ZionRobot.Tasks
{
	// Token: 0x02000021 RID: 33
	internal class Output
	{
		// Token: 0x17000030 RID: 48
		// (get) Token: 0x060000BA RID: 186 RVA: 0x000067E4 File Offset: 0x000049E4
		public bool Running
		{
			get
			{
				return this.running;
			}
		}

		// Token: 0x060000BB RID: 187 RVA: 0x000067EC File Offset: 0x000049EC
		public Output()
		{
			this.running = false;
		}

		// Token: 0x060000BC RID: 188 RVA: 0x00006814 File Offset: 0x00004A14
		public void Execute(Origin source, ZionRobot.Models.Items.File file)
		{
			this.running = true;
			this.stopwatch.Start();
			Application.Current.Dispatcher.Invoke(delegate()
			{
				this.handler = Browser.Instance;
			});
			System.Action <>9__4;
			ThreadStart <>9__2;
			System.Action <>9__5;
			ThreadStart <>9__3;
			new Thread(delegate()
			{
				ThreadStart start;
				if ((start = <>9__2) == null)
				{
					start = (<>9__2 = delegate()
					{
						try
						{
							Dispatcher dispatcher = Application.Current.Dispatcher;
							System.Action callback;
							if ((callback = <>9__4) == null)
							{
								callback = (<>9__4 = delegate()
								{
									this.map(file);
									this.handler.Source = source;
									Directory.CreateDirectory(Path.Combine(Basic.DoneFolder, source.Title));
									this.handler.ExecuteAndMove(file, Path.Combine(Basic.DoneFolder, source.Title));
								});
							}
							dispatcher.Invoke(callback);
						}
						catch (Exception ex)
						{
							file.Status = "ERROR";
						}
					});
				}
				Thread t = new Thread(start);
				t.Start();
				ThreadStart start2;
				if ((start2 = <>9__3) == null)
				{
					start2 = (<>9__3 = delegate()
					{
						while (this.handler.Main == null || this.handler.Main.IsAlive)
						{
							bool flag = this.stopwatch.Elapsed.TotalSeconds > (double)this.limitTime;
							if (flag)
							{
								break;
							}
							Thread.Sleep(1000);
						}
						this.stopwatch.Stop();
						this.stopwatch.Reset();
						Dispatcher dispatcher = Application.Current.Dispatcher;
						System.Action callback;
						if ((callback = <>9__5) == null)
						{
							callback = (<>9__5 = delegate()
							{
								this.handler.Close();
							});
						}
						dispatcher.Invoke(callback);
						this.running = false;
					});
				}
				new Thread(start2).Start();
			}).Start();
		}

		// Token: 0x060000BD RID: 189 RVA: 0x00006884 File Offset: 0x00004A84
		public void Execute(Origin source)
		{
			this.running = true;
			this.stopwatch.Start();
			Application.Current.Dispatcher.Invoke(delegate()
			{
				this.handler = Browser.Instance;
			});
			System.Action <>9__4;
			ThreadStart <>9__2;
			System.Action <>9__5;
			ThreadStart <>9__3;
			new Thread(delegate()
			{
				ThreadStart start;
				if ((start = <>9__2) == null)
				{
					start = (<>9__2 = delegate()
					{
						try
						{
							Dispatcher dispatcher = Application.Current.Dispatcher;
							System.Action callback;
							if ((callback = <>9__4) == null)
							{
								callback = (<>9__4 = delegate()
								{
									this.handler.Source = source;
									Directory.CreateDirectory(Path.Combine(Basic.DoneFolder, source.Title));
									this.handler.ExecuteDemo();
								});
							}
							dispatcher.Invoke(callback);
						}
						catch (Exception ex)
						{
						}
					});
				}
				Thread t = new Thread(start);
				t.Start();
				ThreadStart start2;
				if ((start2 = <>9__3) == null)
				{
					start2 = (<>9__3 = delegate()
					{
						while (this.handler.Main == null || this.handler.Main.IsAlive)
						{
							bool flag = this.stopwatch.Elapsed.TotalSeconds > (double)this.limitTime;
							if (flag)
							{
								break;
							}
							Thread.Sleep(1000);
						}
						this.stopwatch.Stop();
						this.stopwatch.Reset();
						Dispatcher dispatcher = Application.Current.Dispatcher;
						System.Action callback;
						if ((callback = <>9__5) == null)
						{
							callback = (<>9__5 = delegate()
							{
								this.handler.Close();
							});
						}
						dispatcher.Invoke(callback);
						this.running = false;
					});
				}
				new Thread(start2).Start();
			}).Start();
		}

		// Token: 0x060000BE RID: 190 RVA: 0x000068EC File Offset: 0x00004AEC
		private void map(ZionRobot.Models.Items.File file)
		{
			(from p in file.METAObject.Pages
			select p.SearchElements).ToList<ConcurrentBag<Field>>().ForEach(delegate(ConcurrentBag<Field> PageElements)
			{
				PageElements.ToList<Field>().ForEach(delegate(Field f)
				{
					bool flag = f.Type == "Date";
					if (flag)
					{
						f.Value = DateTime.Parse(f.Value).ToString("dd/MM/yyyy");
					}
					this.handler.DictionaryValues.Add(f.FullName, f.Value);
				});
			});
		}

		// Token: 0x04000046 RID: 70
		private bool running;

		// Token: 0x04000047 RID: 71
		private Browser handler;

		// Token: 0x04000048 RID: 72
		private int limitTime = 1200;

		// Token: 0x04000049 RID: 73
		private Stopwatch stopwatch = new Stopwatch();
	}
}
