﻿using System;
using System.Collections.Generic;
using System.Web.Script.Serialization;
using Newtonsoft.Json;
using ZionRobot.Models.ZFlow;
using ZionRobot.Persistence;
using ZionVault.WebService;

namespace ZionRobot.WebService
{
	// Token: 0x02000018 RID: 24
	public class LawsuitDemand
	{
		// Token: 0x0600008E RID: 142 RVA: 0x0000592C File Offset: 0x00003B2C
		internal List<LawsuitDemand> LawsuitDemandsToSync()
		{
			string result = new Client(WSProperties.UrlApi)._request("GET", WSProperties.LawsuitDemandsToSync, WSProperties.Token, null, string.Empty, null);
			return JsonConvert.DeserializeObject<List<LawsuitDemand>>(result);
		}

		// Token: 0x0600008F RID: 143 RVA: 0x0000596C File Offset: 0x00003B6C
		internal string UpdateUrl(LawsuitDemand LawsuitDemand)
		{
			string a = new JavaScriptSerializer().Serialize(new
			{
				LawsuitDemand
			});
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitDemandLink, WSProperties.Token, null, a, null);
		}

		// Token: 0x06000090 RID: 144 RVA: 0x000059B0 File Offset: 0x00003BB0
		internal string UpdateSync(LawsuitDemand LawsuitDemand, int status)
		{
			return new Client(WSProperties.UrlApi)._request("PUT", WSProperties.UpdateLawsuitDemandSync, WSProperties.Token, null, new JavaScriptSerializer().Serialize(new
			{
				EntityId = LawsuitDemand.EntityId,
				ClientId = LawsuitDemand.ClientId,
				FieldOfLawId = LawsuitDemand.FieldOfLawId,
				LawsuitId = LawsuitDemand.LawsuitId,
				Id = LawsuitDemand.Id,
				SyncId = LawsuitDemand.SyncId,
				SyncStatus = status
			}), null);
		}
	}
}
