﻿using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.IO;
using System.Windows;
using System.Windows.Markup;
using ZionRobot.Models.Process;
using ZionRobot.Models.Workflow;
using ZionRobot.Persistence;
using ZionRobot.Tasks;

namespace ZionRobot
{
	// Token: 0x02000010 RID: 16
	public partial class MainWindow : Window
	{
		// Token: 0x06000061 RID: 97 RVA: 0x00003510 File Offset: 0x00001710
		public MainWindow()
		{
			this.InitializeComponent();
			this.createBasicDirectories();
			try
			{
				JobManager jobManager = new JobManager(new Workflow(new RoadMap(Path.Combine(Basic.ApplicationFolder, Basic.ApplicationName + ".wflow"))), true);
			}
			catch (Exception ex)
			{
				throw;
			}
			base.Visibility = Visibility.Hidden;
			base.ShowInTaskbar = false;
		}

		// Token: 0x06000062 RID: 98 RVA: 0x00003588 File Offset: 0x00001788
		private void createBasicDirectories()
		{
			Directory.CreateDirectory(Basic.ApplicationFolder);
			Directory.CreateDirectory(Basic.BlueprintsFolder);
			Directory.CreateDirectory(Basic.ConfigurationFolder);
			Directory.CreateDirectory(Basic.PublicFolder);
			Directory.CreateDirectory(Basic.DoneFolder);
			Directory.CreateDirectory(Basic.SearchResultFolder);
			Directory.CreateDirectory(Basic.LogsFolder);
		}
	}
}
