﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading;

namespace ZionRobot.Models.Logs
{
	// Token: 0x02000030 RID: 48
	public class Search
	{
		// Token: 0x1700008C RID: 140
		// (get) Token: 0x0600016E RID: 366 RVA: 0x00008789 File Offset: 0x00006989
		// (set) Token: 0x0600016F RID: 367 RVA: 0x00008791 File Offset: 0x00006991
		public List<string> SearchResults
		{
			get
			{
				return this.searchResults;
			}
			set
			{
				this.SearchResults = value;
			}
		}

		// Token: 0x06000170 RID: 368 RVA: 0x0000879C File Offset: 0x0000699C
		public Search(string path)
		{
			this.path = path;
			this.searchResults = new List<string>();
			bool flag = File.Exists(this.path);
			if (flag)
			{
				this.searchResults = File.ReadAllLines(this.path).ToList<string>();
			}
		}

		// Token: 0x06000171 RID: 369 RVA: 0x000087EC File Offset: 0x000069EC
		public void Save()
		{
			try
			{
				using (StreamWriter stream = new StreamWriter(this.path))
				{
					this.searchResults.ForEach(delegate(string r)
					{
						stream.WriteLine(r);
					});
					stream.Close();
					stream.Dispose();
				}
			}
			catch (IOException ex)
			{
				Thread.Sleep(200);
				this.Save();
			}
			catch (Exception ex2)
			{
				throw new Exception(ex2.Message);
			}
		}

		// Token: 0x0400008B RID: 139
		private string path;

		// Token: 0x0400008C RID: 140
		private List<string> searchResults;
	}
}
