﻿using System.Drawing;

namespace ZionGraphics.Filtering
{
    class BradleyLocalThresholding : IFilter
    {
        public override Bitmap Apply(Bitmap bitmap)
        {
            if (bitmap.PixelFormat != System.Drawing.Imaging.PixelFormat.Format8bppIndexed)
            {
                bitmap = AForge.Imaging.Filters.Grayscale.CommonAlgorithms.BT709.Apply(bitmap);
            }

            AForge.Imaging.Filters.BradleyLocalThresholding filter = new AForge.Imaging.Filters.BradleyLocalThresholding();
            filter.ApplyInPlace(bitmap);
            return bitmap;
        }
    }
}
