﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace ZionRobot.WebService
{
    public class LawsuitPhaseProgress
    {
        internal List<Models.ZFlow.LawsuitPhaseProgress> LawsuitPhaseProgressToSync()
        {
            string result = new ZionVault.WebService.Client(Persistence.WSProperties.UrlApi)._request("GET",
                Persistence.WSProperties.LawsuitPhaseProgressToSync,
                Persistence.WSProperties.Token,
                null,
                string.Empty,
                null);
                
            var json = JsonConvert.DeserializeObject<List<Models.ZFlow.LawsuitPhaseProgress>>(result);

            return json;
        }
        internal string UpdateUrl(Models.ZFlow.LawsuitPhaseProgress LawsuitPhaseProgress)
        {
            var a = new JavaScriptSerializer().Serialize(new
            {
                LawsuitPhaseProgress
            });
            return new ZionVault.WebService.Client(Persistence.WSProperties.UrlApi)._request("PUT",
                Persistence.WSProperties.UpdateLawsuitPhaseProgressLink,
                Persistence.WSProperties.Token,
                null,
                a
                ,
                null);
        }
        internal string UpdateSync(Models.ZFlow.LawsuitPhaseProgress LawsuitPhaseProgress, int status)
        {
            return new ZionVault.WebService.Client(Persistence.WSProperties.UrlApi)._request("PUT",
                Persistence.WSProperties.UpdateLawsuitPhaseProgressSync,
                Persistence.WSProperties.Token,
                null,
                new JavaScriptSerializer().Serialize(new
                {
                    EntityId = LawsuitPhaseProgress.EntityId,
                    ClientId = LawsuitPhaseProgress.ClientId,
                    FieldOfLawId = LawsuitPhaseProgress.FieldOfLawId,
                    LawsuitId = LawsuitPhaseProgress.LawsuitId,
                    LawsuitPhaseId = LawsuitPhaseProgress.LawsuitPhaseId,
                    Id = LawsuitPhaseProgress.Id,
                    SyncId = LawsuitPhaseProgress.SyncId,
                    SyncStatus = status
                }),
                null);
        }
    }
}
