﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionRobot.Persistence
{
    class WSProperties
    {
        private static int entity_id = 3;
        
        internal static string Token = "47497f45ea68b19b2f5bdab2542cd62af8dd4da6";

        internal static string UrlApi { get => "http://zflow.zionbyonset.com.br/api/"; }

        #region Lawsuits

        internal static string LawsuitsToSync { get => $"lawsuit/{entity_id}/LawsuitsToSync"; }
        internal static string UpdateLawsuitLink { get => $"lawsuit/{entity_id}/UpdateLawsuitLink"; }
        internal static string UpdateLawsuitSync { get => $"lawsuit/{entity_id}/UpdateLawsuitSync"; }

        #endregion 
        
        #region LawsuitPhases

        internal static string LawsuitPhasesToSync { get => $"lawsuit/{entity_id}/LawsuitPhasesToSync"; }
        internal static string UpdateLawsuitPhaseLink { get => $"lawsuit/{entity_id}/UpdateLawsuitPhaseLink"; }
        internal static string UpdateLawsuitPhaseSync { get => $"lawsuit/{entity_id}/UpdateLawsuitPhaseSync"; }

        #endregion
        
        #region LawsuitPhaseProgress

        internal static string LawsuitPhaseProgressToSync { get => $"lawsuit/{entity_id}/LawsuitPhaseProgressToSync"; }
        internal static string UpdateLawsuitPhaseProgressLink { get => $"lawsuit/{entity_id}/UpdateLawsuitPhaseProgressLink"; }
        internal static string UpdateLawsuitPhaseProgressSync { get => $"lawsuit/{entity_id}/UpdateLawsuitPhaseProgressSync"; }

        #endregion

        #region LawsuitDemands

        internal static string LawsuitDemandsToSync { get => $"lawsuit/{entity_id}/LawsuitDemandsToSync"; }
        internal static string UpdateLawsuitDemandLink { get => $"lawsuit/{entity_id}/UpdateLawsuitDemandLink"; }
        internal static string UpdateLawsuitDemandSync { get => $"lawsuit/{entity_id}/UpdateLawsuitDemandSync"; }

        #endregion

        #region LawsuitDeposits

        internal static string LawsuitDepositsToSync { get => $"lawsuit/{entity_id}/LawsuitDepositsToSync"; }
        internal static string UpdateLawsuitDepositLink { get => $"lawsuit/{entity_id}/UpdateLawsuitDepositLink"; }
        internal static string UpdateLawsuitDepositSync { get => $"lawsuit/{entity_id}/UpdateLawsuitDepositSync"; }

        #endregion

        internal static string ActivityCreate { get => $"activity/{entity_id}/ActivityCreate"; }
        //internal static string ActivitiesToSync { get => $"activity/{entity_id}/ActivitiesToSync"; }
        internal static string ActivitiesToSync { get => $"activity/{entity_id}/ActivitiesToSync"; }
        //internal static string ActivitiesToSync { get => $"activity/{entity_id}/RPAToSync"; }
        //internal static string ActivitiesToSync { get => $"activity/{entity_id}/ActivitiesToShareSync"; }
        internal static string ActivitiesToCanceling { get => $"activity/{entity_id}/ActivitiesToCanceling"; }
        internal static string ActivitiesToCreateDataJuri { get => $"activity/{entity_id}/ActivitiesToCreateDataJuri"; }
        internal static string UpdateActivityUrl { get => $"activity/{entity_id}/UpdateActivityUrl"; }
        internal static string UpdateActivityFieldValue { get => $"activity/{entity_id}/UpdateActivityFieldValue"; }
        internal static string UpdateActivityCaseUrl { get => $"activity/{entity_id}/UpdateActivityCaseUrl"; }
        internal static string UpdateActivitySync { get => $"activity/{entity_id}/UpdateActivitySync"; }
        internal static string UpdateAttachmentLink { get => $"activity/{entity_id}/UpdateAttachmentLink"; }
        internal static string CheckResponsibleAvailability { get => $"activity/{entity_id}/CheckResponsibleAvailability"; }


        internal static string ActivityCanceled { get => $"activity/{entity_id}/ActivityCanceled"; }
        internal static string ActivityDone { get => $"activity/{entity_id}/ActivityDone"; }

    }
}