﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace ZionRobot.WebService
{
    public class LawsuitDemand
    {
        internal List<Models.ZFlow.LawsuitDemand> LawsuitDemandsToSync()
        {
            string result = new ZionVault.WebService.Client(Persistence.WSProperties.UrlApi)._request("GET",
                Persistence.WSProperties.LawsuitDemandsToSync,
                Persistence.WSProperties.Token,
                null,
                string.Empty,
                null);
                
            var json = JsonConvert.DeserializeObject<List<Models.ZFlow.LawsuitDemand>>(result);

            return json;
        }
        internal string UpdateUrl(Models.ZFlow.LawsuitDemand LawsuitDemand)
        {
            var a = new JavaScriptSerializer().Serialize(new
            {
                LawsuitDemand
            });
            return new ZionVault.WebService.Client(Persistence.WSProperties.UrlApi)._request("PUT",
                Persistence.WSProperties.UpdateLawsuitDemandLink,
                Persistence.WSProperties.Token,
                null,
                a
                ,
                null);
        }
        internal string UpdateSync(Models.ZFlow.LawsuitDemand LawsuitDemand, int status)
        {
            return new ZionVault.WebService.Client(Persistence.WSProperties.UrlApi)._request("PUT",
                Persistence.WSProperties.UpdateLawsuitDemandSync,
                Persistence.WSProperties.Token,
                null,
                new JavaScriptSerializer().Serialize(new
                {
                    EntityId = LawsuitDemand.EntityId,
                    ClientId = LawsuitDemand.ClientId,
                    FieldOfLawId = LawsuitDemand.FieldOfLawId,
                    LawsuitId = LawsuitDemand.LawsuitId,
                    Id = LawsuitDemand.Id,
                    SyncId = LawsuitDemand.SyncId,
                    SyncStatus = status
                }),
                null);
        }
    }
}
