﻿using System;
using System.Collections.Generic;
using System.Xml;

namespace ZionSchematics.Models
{
    [Serializable]
    public class Footer
    {
        public List<Field> Elements { get; set; }

        public Footer()
        {
            this.Elements = new List<Field>();
        }

        public XmlElement Save(XmlDocument context)
        {
            XmlElement footer = context.CreateElement(@"footer");

            foreach (Field field in this.Elements)
                footer.AppendChild(field.Save(context));


            return footer;
        }
    }
}
