﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionVault.Util.Trim
{
    public class TrimRight : ITrim
    {
        public string Type => @"Right";

        public char[] TrimChars { get; set; }

        public string Apply(string value)
        {
            if (TrimChars.Length > 0)
                return value.TrimEnd(TrimChars);

            return value.TrimEnd();
        }

        public string Apply(string value, char trimChar)
        {
            return value.TrimEnd(trimChar);
        }

        public string Apply(string value, char[] trimChars)
        {
            return value.TrimEnd(trimChars);
        }
    }
}
